curl --request GET \
--url https://api.altostrat.io/radius/users \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "rad_usr_01HGM5V65A5A5A5A5A5A5A5A5A",
"username": "[email protected]",
"status": "active",
"group_count": 2,
"check_attributes": [
{
"attribute": "Session-Timeout",
"op": ":=",
"value": "3600"
}
],
"reply_attributes": [
{
"attribute": "Session-Timeout",
"op": ":=",
"value": "3600"
}
],
"metadata": {
"employee_id": "E12345"
},
"tags": [
"rad_tag_01HGM5V65A5A5A5A5A5A5A5A5D"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"per_page": 25,
"has_more": true,
"next_cursor": "eyJwayI6eyJT..."
},
"links": {
"first": "https://api.altostrat.io/radius/users?per_page=25",
"next": "https://api.altostrat.io/radius/users?per_page=25&cursor=eyJwayI6eyJT..."
}
}Retrieves a paginated list of all RADIUS users in your workspace. You can control the number of results per page and navigate through pages using the cursor.
curl --request GET \
--url https://api.altostrat.io/radius/users \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "rad_usr_01HGM5V65A5A5A5A5A5A5A5A5A",
"username": "[email protected]",
"status": "active",
"group_count": 2,
"check_attributes": [
{
"attribute": "Session-Timeout",
"op": ":=",
"value": "3600"
}
],
"reply_attributes": [
{
"attribute": "Session-Timeout",
"op": ":=",
"value": "3600"
}
],
"metadata": {
"employee_id": "E12345"
},
"tags": [
"rad_tag_01HGM5V65A5A5A5A5A5A5A5A5D"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"per_page": 25,
"has_more": true,
"next_cursor": "eyJwayI6eyJT..."
},
"links": {
"first": "https://api.altostrat.io/radius/users?per_page=25",
"next": "https://api.altostrat.io/radius/users?per_page=25&cursor=eyJwayI6eyJT..."
}
}Enter your API key in the format: Bearer
The number of items to return per page.
1 <= x <= 100An opaque cursor for navigating to the next page of results.
A paginated list of users.
Show child attributes
Unique identifier for the user.
"rad_usr_01HGM5V65A5A5A5A5A5A5A5A5A"
The username used for authentication.
The current status of the user account.
active, disabled "active"
The number of groups this user is a member of.
2
A list of RADIUS attributes used to check against the user's request during authorization.
Show child attributes
The name of the RADIUS attribute.
"Session-Timeout"
The operator to use for the attribute. := for assignment, == for checking.
":="
The value to assign or check for the attribute. The data type depends on the attribute.
"3600"
A list of RADIUS attributes to be returned in the Access-Accept response.
Show child attributes
The name of the RADIUS attribute.
"Session-Timeout"
The operator to use for the attribute. := for assignment, == for checking.
":="
The value to assign or check for the attribute. The data type depends on the attribute.
"3600"
A list of tag IDs associated with this user.
["rad_tag_01HGM5V65A5A5A5A5A5A5A5A5D"]
Time at which the object was created.
Time at which the object was last updated.
Show child attributes
Show child attributes
Was this page helpful?